//############################################################################//
//             Copyright (c) 2004, Apycom Software, wwww.apycom.com
//             Apycom DHTML Tuner script
//             http://dhtml-menu.com
//             Programming by Shakhmatov Nik
//             E-mail: dhtml@apycom.com
//############################################################################//

var apy_tunerParams = [

  ['Common','section','icon_common',''],
    ['isHorizontal',      'boolean', '0', 'Menu orientation.>>0 - vertical orientation;>>1 - horizontal orientation.'],
    ['saveNavigationPath','boolean', '1', 'Item is highlighted during menu navigation.>>0 - disabled;>>1 - enabled.>>Default is 1.'],
    ['showByClick',       'boolean', '0', 'Show submenus on mouse click only.'],
    ['bottomUp',          'boolean', '0', 'Windows taskbar like mode.'],

    ['','separator','',''],

    ['orientation',      'boolean',    '0','Submenu orientation.>>0 - vertical orientation;>>1 - horizontal orientation.'],
    ['columnPerSubmenu', 'integer-nn', '',  'Columns count in one submenu.'],
    ['pressedItem', 'integer','-2',
     'Defines default highlighted item.>>-2 - no toggle mode.>>-1 - toggle mode is active, but default highlighted item is not defined.>>0,1,2,3,... - toggle mode is active, index of default highlighted item.'],
//    ['popupMode',        'boolean', '0', 'Menu popup mode.>>0 - disabled;>>1 - enabled.>>Use this option to make your menu as a context menu.>>To show the menu use apy_popup() function.'],

    ['','separator','',''],

    ['blankImage',   'image',   'blank image filename', 'Path to a blank image.'],
    ['pathPrefix',   'string',  '', 'Path prefix for item links and images.>>For example: http://dhtml-menu.com/>>Also you can try to use <BASE HREF=""> tag in html code to make image and link paths absolute.'],
    ['statusString', 'set-add', 'link,text',
     'Browser status string.>>"link" value shows item links.>>"text" value shows item label text.>>With other value shows this value.'],

  ['Menu','section','icon_menu',''],
    ['menuWidth',        'integer-percent', '',  'Width of top-level menu (% or px).>>If empty - fits to the largest item.'],
    ['menuBorderWidth',  'integer-nn',      '0', 'Menu border width.'],
    ['menuBorderStyle',  'set',             'none,solid,double,dotted,dashed,groove,ridge','Menu border style.'],
    ['menuBackImage',    'image',           '',  'Menu background image.'],

  ['Menu Positioning','section','icon_menu_positioning',''],
    ['absolutePos','boolean','0','Sets absolute menu position.>>0 - relative position;>>1 - absolute position.'],
    ['posX', 'integer','0','X coordinate of top-left menu corner.'],
    ['posY', 'integer','0','Y coordinate of top-left menu corner.'],

    ['','separator','',''],

    ['floatable',      'boolean',    '0', 'If enabled, menu "floats" on window scrolling and always stays visible.'],
    ['floatIterations','integer-nn', '6', 'Defines floatation speed.'],

    ['','separator','',''],

    ['movable',   'boolean','0','If enabled, you can drag menu by using top spacer.'],
    ['moveWidth', 'integer-nn','12','Width of drag spacer.'],
    ['moveHeight','integer-nn','20','Height of drag spacer.'],
    ['moveCursor','set',
     'default,auto,crosshair,pointer,move,text,wait,help,n-resize,ne-resize,nw-resize,s-resize,se-resize,sw-resize,e-resize,w-resize',
     'Cursor type when you mouseover the drag spacer.'],
    ['moveImage','image','','Image of the drag spacer.'],

  ['Submenu Positioning','section','icon_submenu_positioning',''],
    ['topDX', 'integer', '0',  '1st level submenu X offset.'],
    ['topDY', 'integer', '0',  '1st level submenu Y offset.'],
    ['DX',    'integer', '-5', 'Submenu X offset.'],
    ['DY',    'integer', '0',  'Submenu Y offset.'],

  ['Font','section','icon_font',''],
    ['fontStyle',      'font',        'bold 9pt Verdana',    'Font style.'],
    ['fontColor',      'color-array', ['#000000','#000000'], 'Normal and mouseover font colors.'],
    ['fontDecoration', 'set-array',   ['none,underline,line-through,overline','none,underline,line-through,overline'],'Normal and mouseover font decorations.'],


  ['Items','section','icon_items',''],
    ['itemBorderWidth', 'integer-nn', '0', 'Item border width.'],
    ['itemBorderStyle', 'set-array',
      ['none,solid,double,dotted,dashed,groove,ridge','none,solid,double,dotted,dashed,groove,ridge'], 'Normal and mouseover border styles.'],
    ['itemBackImage',   'image-array', ['',''], 'Normal and mouseover background images.'],

    ['','separator','',''],
    
    ['itemAlign',    'set', 'left,center,right', 'Alignment of item text.'],
    ['subMenuAlign', 'set', ',left,center,right', 'Alignment of submenu item text.'],

    ['','separator','',''],

    ['itemSpacing','integer-nn','0','Item spacing.'],
    ['itemPadding','integer-nn','0','Item padding.'],

    ['','separator','',''],

    ['itemCursor','set',
     'default,auto,crosshair,pointer,move,text,wait,help,n-resize,ne-resize,nw-resize,s-resize,se-resize,sw-resize,e-resize,w-resize,',
     'Item cursor.'],
    ['itemTarget','set-add','_self,_blank,_top,_parent,_search,','Default target for all items.'],


  ['Colors','section','icon_colors',''],
    ['menuBackColor',   'color', '', 'Menu background color.'],
    ['menuBorderColor', 'color', '', 'Menu border color.'],

    ['','separator','',''],

    ['itemBackColor',   'color-array', ['#ffffff','#4792E6'], 'Normal and mouseover item background colors.'],
    ['itemBorderColor', 'color-array', ['#6655ff','#665500'], 'Normal and mouseover border colors.'],


  ['Icons','section','icon_icons',''],
    ['iconTopWidth', 'integer-nn','24','Icon width of top-level menu items.'],
    ['iconTopHeight','integer-nn','24','Icon height of top-level menu items.'],
    ['iconWidth', 'integer-nn','16','Item icon width.'],
    ['iconHeight','integer-nn','16','Item icon height.'],

    ['','separator','',''],

    ['arrowImageMain', 'image-array', ['',''], 'Normal and mouseover arrow images for top-level menu.'],
    ['arrowImageSub',  'image-array', ['',''], 'Normal and mouseover arrow images for submenus.'],
    ['arrowWidth',  'integer-nn', '9', 'Arrow image width.'],
    ['arrowHeight', 'integer-nn', '9', 'Arrow image height.'],


  ['Separators','section','icon_separators',''],
    ['separatorWidth',     'integer-percent', '100%',              'Separator image width.'],
    ['separatorHeight',    'integer-percent', '3',                 'Separator image height.'],
    ['separatorAlignment', 'set',             'left,center,right', 'Separator alignment.'],
    ['separatorImage',     'image',           '',                  'Separator image.'],

    ['','separator','',''],

    ['separatorVWidth',  'integer-percent', '3',    'Vertical separator image width.'],
    ['separatorVHeight', 'integer-percent', '100%', 'Vertical separator image height.'],
    ['separatorVImage',  'image',           '',     'Vertical separator image.'],

  ['Visual Effects', 'section', 'icon_visual_effects',''],
    ['transparency', 'percent', '100', 'Transparency in %%.'],
    ['transition',   'effect',  '0',   'Transitional visual effect.'],
    ['transDuration','integer', '300', 'Duration of transitional effect.'],
    ['transOptions', 'string',  '',    'Additional options for transitional effect.>>These options are applied for effects with index higher than 24.', '../../help/transitions.html'],

    ['','separator','',''],

    ['shadowLen',   'integer-nn', '3',       'Menu shadow length in px.'],
    ['shadowTop',   'boolean',    '1',       'Shadow visibility for top menu.'],
    ['shadowColor', 'color',      '#777777', 'Menu shadow color.'],
    
  ['CSS Mode', 'section', 'icon_css_mode',''],
    ['cssStyle', 'boolean', '0', 'CSS mode.>>0 - disabled;>>1 - enabled.>>Notice that menu will not look propery in the Tuner.>>You should test a menu within your page with CSS styles included.'],
    ['cssClass', 'string',  '',  'Main CSS class name.'],

    
  ['MAC OS Additional','section','icon_mac_os',''],
    ['macIEoffX',  'integer', '10', 'Global X offset.'],
    ['macIEoffY',  'integer', '15', 'Global Y offset.'],
    ['macIEtopDX', 'integer', '0',  'Main submenu DX.'],
    ['macIEtopDY', 'integer', '2',  'Main submenu DY.'],
    ['macIEDX',    'integer', '-3', 'Submenu DX.'],
    ['macIEDY',    'integer', '0',  'Submenu DY.'],
];

onload = apy_initialize;
